.bg-gradientGreen {
  background: linear-gradient(90deg, rgba(53, 162, 169, 1) 0%, rgba(189, 203, 192, 1) 100%);
}
.bg-lightGreen{
  background-color: #f4fafb;
}

html{
  min-height: 100%;
  width: 100%;
}

body{
  min-height: 100%;
  margin: 0px;
  background-color: #DEE3E7;
  font-family: 'Source Sans Pro', sans-serif;
}

div.clear{
  clear: both;
}

div.pointer{
  cursor: pointer;
}
div.login{
  width: 350px;
  top: 50%;
  left: 50%;
  position: absolute;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  background-color: #29313c;
}
div.login div.logo{
  position: absolute;
  top: -30px;
  left: 50%;
  width: 70px;
  transform: translate(-50%, 0%);
}
div.loginBorder{
  position: absolute;
  top: -2px;
  width: 100%;
  height: 4px;
}
div.loginBorder div{
  float: left;
  width: 21%;
  height: 4px;
}
div.loginBorder div.yellow{
  background-color: #fcb53f;
}
div.loginBorder div.blue{
  background-color: #3598dc;
}
div.loginBorder div.green{
  background-color: #1bbc9b;
}
div.loginBorder div.red{
  background-color: #fe7877;
}
div.loginBorder div.orange{
  background-color: #f15928;
}
div.loginForm{
  padding: 25px;
  padding-top: 50px;
}


div.topBar{
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 50px;
  background-color: #07b16a;
  color: #FFFFFF;
  z-index: 1;
}
div.topBar img{
  position: relative;
  float: left;
  left: 130px;
  top: 10px;
}
div.topBar img.companyLogo{
  position: relative;
  float: right;
  left: auto;
  top: 10px;
  margin-right: 30px
}
div.navigationBG{
  position: fixed;
  left: 0px;
  top: 0px;
  height: 100%;
  width: 100px;
  background-color: #29313c;
}
div.navigation{
  position: absolute;
  left: 0px;
  top: 0px;
  min-height: 100%;
  width: 100px;
  background-color: #29313c;
  color: #50647b;
  z-index: 2;
}
div.flagBlock{
  margin-top: 10px;
  margin-left: 28px;
  margin-right: 10px;
  height: 52px;
}
div.flagBlock a{
  position: relative;
  display: block;
  float: left;
  margin-right: 10px;
  margin-bottom: 10px;
  border: 1px solid #AAAAAA;
  opacity: 0.6;
}
div.flagBlock a.active{
  position: relative;
  display: block;
  float: left;
  margin-right: 10px;
  margin-bottom: 10px;
  border: 1px solid #FFF;
  opacity: 1;
}


div.navigationBlock a{
  position: relative;
  display: block;
  margin-bottom: 20px;
  font-size: 40px;
  color: inherit;
  text-decoration: none;
  text-align: center;
}
div.navigationBlock a span.menuTitle{
  display: block;
  font-size: 13px;
  color: inherit;
  text-decoration: none;
  text-align: center;
}
div.navigationBlock a span.arrow{
  position: absolute;
  left: 100px;
  top: 20px;
  border: 10px solid transparent;
  border-left: 10px solid #29313c;
  display: none;
}
div.navigationBlock a:hover, div.navigationBlock a.active{
  color: #07b16a;
}
div.navigationBlock a:hover > span.arrow, div.navigationBlock a.active span.arrow{
  display: block;
}

div.content{
  padding-top: 70px;
  padding-left: 130px;
  padding-right: 30px;
  padding-bottom: 70px;
}

/*          OVERVIEW        */
button.backButtonRight{
  float: right;
}
li.list-group-item.inactive{
  color: #bbbbbb;
  background-color: #f8f8f8;
}
li.list-group-item.inactive img.overview{
  opacity: 0.3;
  filter: alpha(opacity=30);
}
li.list-group-item.highlight{
  background-color: #F5F5F5;
  height: 80px;
}
img.overview{
  width: 90px;
  float: left;
  margin-right: 10px;
  border: 1px solid #ffffff;
  border-radius: 4px;
}

div.listButtonRight{
  position: relative;
  float: right;
  margin-left: 10px;
  margin-top: 10px;
  margin-bottom: 10px;
}
div.listButtonRight button, div.listButtonRight div, div.listButtonRight a{
  display: inline-block;
  margin-left: 10px;
  font-size: 30px;
}

ul.sortable{
  margin-top: 10px;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
}
ul.sortable.menuList{
  margin-top: 0px;
  border: 0px;
}
ul.sortable li ul li{
  padding-left: 30px;
}
ul.sortable li ul li.list-group-item{
  padding-right: 0px;
  background-color: #FEFEFE;
}



/*          INPUT           */
.input-group-text {
  font-weight: 400;
  color: #000;
  border: 1px solid #ddd;
}
.form-control, .form-control:focus,
.form-select, .form-select:focus{
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: 400;
  color: #000;
  background-color: #FFF;
  border: 1px solid #ddd;
}


div.textArea{
  margin-bottom: 9px;
}
select[multiple]{
  height: 200px;
}

div.input-box{
  padding: 15px; 
  margin-bottom: 9px;
  border: 1px solid #c1cad6;
  border-radius: 4px;
  background-color: #f5f5f5;
}
div.input-box p{
  font-size: 14px;
  font-weight: bold;
}
.input-group{
  margin-bottom: 9px;
}
.input-group-text.fixedWidth {
    min-width:170px;
    text-align:left;
}

.input-group.fileinput-thumbnail .thumbnail{
  position: absolute;
  left: 0px; 
  top: 43px;
}
.fileinput-new.thumbnail{
  width: 190px;
  height: 225px;
  float: left;
  margin-right: 5px;
  margin-bottom: 5px;
  line-height: 17px;
  text-align: center;
}
.fileinput-new.thumbnail img{
  width: 100%;
}
.fileinput-new.thumbnail p{
  width: 190px;
  text-align: center;
}

button.cropButton{
  display: inline-block;
  margin-top: 5px;
  margin-bottom: 10px;
}

div.switchHolder{
  margin-bottom: 9px;
}


/*    GRID-SYSTEM   */
.grid-row{
  display: flex;
  align-items: stretch;
  position: relative;
}
.grid-row .dropzoneBlock:hover .colControls {
  display: block;
}
.dropzoneBlock{
  border: dashed 1px #9d9d9c;
  min-height: 100px;
  position: relative;
}
.snapzone{
  position: absolute;
  left: 10px;
  top: 10px;
  height: 10px;
  width: 10px;
}
.grid-row .addButton {
  position: absolute;
  width: 30px;
}
.grid-row .rowControls{
  display: none;
  z-index: 98;
}
.grid-row:hover .rowControls {
  display: block;
}
.grid-row .center{
  left: 50%;
  -webkit-transform: translate(-50%, 0%);
  -ms-transform: translate(-50%, 0%);
  transform: translate(-50%, 0%);
}
.grid-row .left{
  left: 10px;
}
.grid-row .right{
  right: 10px;
}
.grid-row .top{
  top: 10px;
}
.grid-row .bottom{
  bottom: 10px;
}
.grid-row .topline{
  top: -10px;
}
.grid-row .bottomline{
  bottom: -10px;
}
.colControls{
  position: absolute;
  right: 10px;
  top: 10px;
  display: none;
  z-index: 99;
}

/*    BTN LABEL    */
.btn-label {
  position: relative;
  left: -12px;
  display: inline-block;
  padding: 6px 12px;
  background: rgba(0, 0, 0, 0.15);
  border-radius: 3px 0 0 3px;
}
.btn-sm .btn-label {
  left: -8px;
}

.btn-labeled {
  padding-top: 0;
  padding-bottom: 0;
  margin-bottom: 0px;
}

/*    CROPTOOL    */
div.container-fluid h2{
  margin-top: 12px;
}
div.panel-heading h3{
  margin: 0px;
}
div.cropHolder{
  max-height: 460px;
  overflow: hidden;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: auto;
  margin-right: auto;
}
div.cropHolder img{
  width: 100%;
}

/*    LOADING ANGULAR   */
div.loading{
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background-color: rgba(255,255,255,0.7);
  z-index: 100;
}
div.loading div.loadingContentHolder{
  position: absolute;
  top: 50%;
  left: 50%;
}
div.loading div.loadingContent{
  position: absolute;
  top: -50px;
  left: -100px;
  width: 200px;
  height: 100px;
  text-align: center;
  font-size: 18px;
}

/*     UPLOADER   */
div.uploadArea{
  padding: 10px;
}
.dropArea{
  margin-top: 5px;
  width: 100%;
}
.dropZone{
  margin: 0px;
  border: dotted 3px lightgray;
  height: 73px;
}
.dropZoneOver{
  border: dotted 3px green;
  height: 73px;
}
.fileInput{
  width: 100%;
  margin-top: 5px;
}
div.progressHolder{
  margin: 10px;
}

a.blockLink img{
  border: solid 1px #DDD;
}
a.blockLink p{
  margin-top: 3px;
  color: #000;
}
a.blockLink:hover{
  text-decoration: none;
}
a.blockLink:hover img{
  border: solid 1px #000;
}
a.blockLink:hover p{
  font-weight: 700;
}